Leo 4.1 beta 5: An outlining editor

Edward K. Ream edreamleo at charter.net
Tue Dec 9 23:05:15 CET 2003


>  There is an extremely serious bug that arises when
> cutting from 3.x versions of Leo and pasting to 4.x versions of Leo.

Not quite.  The reported problem occurred when pasting from 4.1 beta to
4.0.4.  I suspect that the problem is in 4.0.4; I plan to retire 4.0.4 asap.
There is nothing I can do now to correct 4.0.4 except to urge people to
upgrade to 4.1 beta 5. There are no known serious bugs in 4.1 beta 5.

Because of the differences in file formats between 3.x, 4.0.x and 4.1,
cutting and pasting between .leo files created with different versions of
Leo is likely to be a bit risky.  The safest course of action is to convert
all projects to 4.1 beta 5 before doing any cutting and pasting between Leo
files.  You do this by saving the .leo file using 4.1 beta 5 or later.

In any event, I urge anyone using _any_ 4.x version of Leo to make full and
complete backups before doing any cutting and pasting from one .leo file to
another .leo file created by a _different_ version of Leo.

Edward
--------------------------------------------------------------------
Edward K. Ream   email:  edreamleo at charter.net
Leo: Literate Editor with Outlines
Leo: http://webpages.charter.net/edreamleo/front.html
--------------------------------------------------------------------






More information about the Python-list mailing list